Debian Bug report logs - #305992
libsdl1.2debian: Mouse jumps to side of screen with xinerama

version graph

Package: libsdl1.2debian; Maintainer for libsdl1.2debian is Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>; Source for libsdl1.2debian is src:libsdl1.2.

Reported by: GeniusDex <debian@geniusdex.net>

Date: Sat, 23 Apr 2005 13:18:02 UTC

Severity: important

Found in versions 1.2.7+1.2.8cvs20041007-4.1, libsdl1.2debian/1.2.9-5+b1

Fixed in version 1.2.12-1

Done: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian SDL maintainers <mrd-sdl@debian.org>:
Bug#305992; Package libsdl1.2debian. Full text and rfc822 format available.

Acknowledgement sent to GeniusDex <debian@geniusdex.net>:
New Bug report received and forwarded. Copy sent to Debian SDL maintainers <mrd-sdl@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: GeniusDex <debian@geniusdex.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libsdl1.2debian: Mouse jumps to side of screen with xinerama
Date: Sat, 23 Apr 2005 15:09:04 +0200
Package: libsdl1.2debian
Version: 1.2.7+1.2.8cvs20041007-4.1
Severity: important

If using SDL, and going into fullscreen mode, the mouse is rendered unusable
with my setup. The mouse will move to the right side of the screen when you try
to move it (not before), and will stay there no matter what.

The problem causing this is my xinerama setup: my right monitor is the one i
mostly use, and also for most of the fullscreen applications. On my left screen
it was working alright last time i checked (a few weeks ago).

Due to a debugging session when doing beta testing for Darwinia i discovered
that the problem is related to some xrel value (not sure if that's of SDL or
of Darwinia) being 1280 too large (my right screen starts at 1280x0, since my
left screen is 1280x960, like my right one).

It has been fixed in Darwinia by making a guess on the xinerama resolution and
substracting that from the xrel/yrel values already found. Most, if not all,
other programs i tried still suffer from this bug thought. I've found it to
only happen in programs using SDL, so i'm quite sure it's a bug in SDL.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.10
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages libsdl1.2debian depends on:
ii  libsdl1.2debi 1.2.7+1.2.8cvs20041007-4.1 Simple DirectMedia Layer (with all

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>:
Bug#305992; Package libsdl1.2debian. Full text and rfc822 format available.

Acknowledgement sent to S Ait-Kassi <sait-kassi@zonnet.nl>:
Extra info received and forwarded to list. Copy sent to Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 305992@bugs.debian.org (full text, mbox):

From: S Ait-Kassi <sait-kassi@zonnet.nl>
To: Debian Bug Tracking System <305992@bugs.debian.org>
Subject: libsdl1.2debian: Mouse jumps in other porgrams, seems related to DGA mouse support
Date: Sat, 13 May 2006 22:34:57 +0200
Package: libsdl1.2debian
Version: 1.2.9-5+b1
Followup-For: Bug #305992


I've had the same problems with Qemu and scummvm as well. It can be resolved by disabling
DGA mouse support by setting SDL_VIDEO_X11_DGAMOUSE to 0.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)

Versions of packages libsdl1.2debian depends on:
ii  libsdl1.2debian-all           1.2.9-5+b1 Simple DirectMedia Layer (with all

libsdl1.2debian recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>:
Bug#305992; Package libsdl1.2debian. Full text and rfc822 format available.

Acknowledgement sent to Diggory Hardy <diggory.hardy@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 305992@bugs.debian.org (full text, mbox):

From: Diggory Hardy <diggory.hardy@gmail.com>
To: 305992@bugs.debian.org
Subject: as above
Date: Tue, 8 Jan 2008 21:33:26 +0000
I can confirm the same happens with ut2004 and wesnoth (presumably this uses 
SDL?) − the mouse jumps to bottom-right corner in my case − and that 
exporting SDL_VIDEO_X11_DGAMOUSE as 0 fixes this.

However, to add to the wierdness, my own little test program is completely 
unaffected by this (setting SDL_VIDEO_X11_DGAMOUSE as 0 or 1 makes no 
difference either). This is just a small test program in various screen modes 
(with OPENGL & HW framebuffer enabled).

Debian testing (nearly up-to-date); uname -r: 2.6.22-3-amd64.
ii  libsdl1.2-dev                       1.2.11-9
ii  libsdl1.2debian                     1.2.11-9
ii  libsdl1.2debian-alsa                1.2.11-9




Reply sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
You have taken responsibility. (Sun, 04 Mar 2012 19:52:29 GMT) Full text and rfc822 format available.

Notification sent to GeniusDex <debian@geniusdex.net>:
Bug acknowledged by developer. (Sun, 04 Mar 2012 19:52:29 GMT) Full text and rfc822 format available.

Message #20 received at 305992-done@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: 305992-done@bugs.debian.org
Subject: Re: libsdl1.2debian: Mouse jumps to side of screen with xinerama
Date: Sun, 4 Mar 2012 19:37:19 +0000
Version: 1.2.12-1

Hello,

Thank you for your interest in improving Debian, and sorry to keep the
bug unattended for so long.  There's now an effort to review the open
bugs related with SDL packages.

In the upstream relase 1.2.12 they claim to have fixed mouse
support/detection in DGA [1] [2] [3], and I think that subsequently
the DGA support was being removed from Xorg (which was part of the
problem, it seems) and there's this comment from Sam Lantinga (SDL
author): "I think it's time to finally retire the X11 DGA1 code.
*sigh*".

[1] http://www.libsdl.org/release/changes-1.2.html
[2] http://bugzilla.libsdl.org/show_bug.cgi?id=437
[3] http://lists.libsdl.org/pipermail/commits-libsdl.org/2007-July/000234.html

The fact that there's no input to this bug report  (or similar ones)
since ~2008 and/or with versions <1.2.12 is also an indication that
this bug is probably fixed.

So I think that it's safe to close this bug report by now. Of course,
please reopen the bug if you can still reproduce it with newer SDL
versions.

Regards.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Apr 2012 07:50:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:11:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.